Subject: [dns-privacy] I-D Action: draft-ietf-dprive-dnsoquic-08.txt

From: [email-masked]
Date: Tue, 11 Jan 2022 01:20:07 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the DNS PRIVate Exchange WG of the IETF.

        Title           : DNS over Dedicated QUIC Connections
        Authors         : Christian Huitema
                          Sara Dickinson
                          Allison Mankin
	Filename        : draft-ietf-dprive-dnsoquic-08.txt
	Pages           : 32
	Date            : 2022-01-11

Abstract:
   This document describes the use of QUIC to provide transport privacy
   for DNS.  The encryption provided by QUIC has similar properties to
   that provided by TLS, while QUIC transport eliminates the head-of-
   line blocking issues inherent with TCP and provides more efficient
   packet loss recovery than UDP.  DNS over QUIC (DoQ) has privacy
   properties similar to DNS over TLS (DoT) specified in RFC7858, and
   latency characteristics similar to classic DNS over UDP.  This
   specification describes the use of DNS over QUIC as a general-purpose
   transport for DNS and includes the use of DNS over QUIC for stub to
   recursive, recursive to authoritative, and zone transfer scenarios.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-dprive-dnsoquic/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-ietf-dprive-dnsoquic-08

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-dprive-dnsoquic-08

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts

---

From: Sara Dickinson <[email-masked]>
Date: Tue, 11 Jan 2022 09:21:25 +0000

Hi All,

A few further updates were needed after some more review comments/feedback, most notably with regard to the early port allocation of port 853:

* Updated text on port allocation. An early port assignment has been agreed for
   port 853 UDP for "DNS query-response protocol run over DTLS or QUIC”. Text is added
   regarding demuxing of protocols in future versions. Ref to RFC8094 made informative.
* Updated text on padding to make advice more consistent and the ref to RFC8467 informative.
* Add text to abstract that DoQ is a general-purpose transport.
* Fix boiler plate text.
* Various editorial corrections.

Regards

Sara.

> On 11 Jan 2022, at 09:20, [email-masked] wrote:
> 
> 
> _______________________________________________
> dns-privacy mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dns-privacy